Name:           myrepos
Version:        1.20180726
Release:    2%{?dist}
Summary:        A multiple SCM repository management tool

License:        GPLv2+
URL:            https://github.com/joeyh/myrepos
Source0:        https://git.joeyh.name/index.cgi/myrepos.git/snapshot/myrepos-%{version}.tar.gz
BuildArch:      noarch

Provides:       mr = %{version}-%{release}

BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-podlators

Requires:       perl(File::Copy)
Requires:       git

%description
The mr command can checkout, update, or perform other actions on
a set of repositories as if they were one combined repository. It
supports any combination of subversion, git, cvs, mecurial, bzr and
darcs repositories, and support for other revision control systems
can easily be added.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
install -Dp -m 0755 mr %{buildroot}%{_bindir}/mr
for file in mr.1 webcheckout.1; do
    install -Dp -m 0644 $file %{buildroot}%{_mandir}/man1/$file
done
for file in lib/git-fake-bare lib/git-svn lib/unison; do
    install -Dp -m 0644 $file %{buildroot}%{_datadir}/mr/$file
done

%files
%doc README mrconfig mrconfig.complex
%license GPL
%{_mandir}/man1/*.*
%{_bindir}/mr
%{_datadir}/mr/

%changelog
* Wed Apr 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20180726-2
- rebase to add ocs and ts macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20180726-1
- initial build
